import { create } from "zustand";
import { getVod } from "../api";

export const useMediaStore = create((set) => ({
  list: [],
  listFilter: [],
  getListFilter: (state: any) => {
    return state.list.length === 0
      ? getVod({ offset: 0, limit: 5000 }).then((res: any) =>
          set({ list: res.mediaList, listFilter: res.mediaList })
        )
      : state.list;
  },
  setList: (newState: any) =>
    set(() => ({ list: newState, listFilter: newState })),
  filterList: (keyword: string) =>
    set((state: any) => ({
      listFilter: !keyword
        ? state.list
        : state.list.filter(
            (i: any) => i.name.toUpperCase().indexOf(keyword.toUpperCase()) > -1
          ),
    })),
}));
